[ANN] XWiki 9.2 released

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ANN] XWiki 9.2 released

Guillaume Delhumeau
The XWiki development team is proud to announce the availability of XWiki
9.2.

This release introduces the Notification menu to follow wiki activity more
easily. The Administration has been re-organized with a collapsible menu.
The Menu Application becomes responsive with burger menus. For the advanced
users, the CKEditor integration adds support for dedicated Insert Macro
tool bar buttons and the Extension Manager adds support for conflict
resolution configuration when installing an extension. As usual, the
release also brings many bug fixes and other small improvements.

You can download it here: http://www.xwiki.org/xwiki/bin/view/Main/Download

Make sure to review the release notes:
http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/Data/XWiki/9.2

Thanks for your support
-The XWiki dev team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [ANN] XWiki 9.2 released

Keith H
On 28 Mar 2017, at 11:49, Guillaume Delhumeau wrote:

> The XWiki development team is proud to announce the availability of
> XWiki
> 9.2.
>
> This release introduces the Notification menu to follow wiki activity
> more
> easily. The Administration has been re-organized with a collapsible
> menu.
> The Menu Application becomes responsive with burger menus. For the
> advanced
> users, the CKEditor integration adds support for dedicated Insert
> Macro
> tool bar buttons and the Extension Manager adds support for conflict
> resolution configuration when installing an extension. As usual, the
> release also brings many bug fixes and other small improvements.
>
> You can download it here:
> http://www.xwiki.org/xwiki/bin/view/Main/Download
>
> Make sure to review the release notes:
> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/Data/XWiki/9.2

Hello,

I am upgrading from 9.1.2 to 9.2

I received the following error when upgrading

Dependency [org.xwiki.contrib:application-ckeditor-webjar-1.13] is
incompatible with installed root extension
[org.xwiki.contrib:application-ckeditor-webjar-1.12]

not sure what to do, thanks

Keith
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [ANN] XWiki 9.2 released

Keith H
> Hello,
>
> I am upgrading from 9.1.2 to 9.2
>
> I received the following error when upgrading
>
> Dependency [org.xwiki.contrib:application-ckeditor-webjar-1.13] is
> incompatible with installed root extension
> [org.xwiki.contrib:application-ckeditor-webjar-1.12]
>
> not sure what to do, thanks
>
> Keith

So, I need to go to the root wiki first!

I still got the following errors but now things seem ok

Failed to unload installed extension
[org.webjars.npm:bootstrap-3-typeahead-4.0.2]
Failed to unload installed extension [org.webjars:bootstrap-tour-0.11.0]
Failed to unload installed extension
[org.xwiki.contrib:application-ckeditor-webjar-1.13]
Failed to unload installed extension
[org.xwiki.contrib:application-ckeditor-plugins-1.13]

Keith
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [ANN] XWiki 9.2 released

Thomas Mortagne
Administrator
Yes you need to upgrade main wiki first when you upgrade XWiki
(because the JAR dependencies of the XE UI are installed on root
namespace and only main wiki is allowed to do that).

On Thu, Mar 30, 2017 at 9:57 PM, Keith H <[hidden email]> wrote:

>> Hello,
>>
>> I am upgrading from 9.1.2 to 9.2
>>
>> I received the following error when upgrading
>>
>> Dependency [org.xwiki.contrib:application-ckeditor-webjar-1.13] is
>> incompatible with installed root extension
>> [org.xwiki.contrib:application-ckeditor-webjar-1.12]
>>
>> not sure what to do, thanks
>>
>> Keith
>
>
> So, I need to go to the root wiki first!
>
> I still got the following errors but now things seem ok
>
> Failed to unload installed extension
> [org.webjars.npm:bootstrap-3-typeahead-4.0.2]
> Failed to unload installed extension [org.webjars:bootstrap-tour-0.11.0]
> Failed to unload installed extension
> [org.xwiki.contrib:application-ckeditor-webjar-1.13]
> Failed to unload installed extension
> [org.xwiki.contrib:application-ckeditor-plugins-1.13]
>
> Keith



--
Thomas Mortagne
Loading...